# QDataStream Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QDataStream()
- void QDataStream(QByteArray arg__1, OpenMode flags)
- void QDataStream(QIODevice arg__1)
- void QDataStream(QByteArray arg__1)

### Constructor Properties

- prototype: The QDataStream prototype object
- SinglePrecision
- DoublePrecision
- FloatingPointPrecision( value )
- Qt_1_0 = 1
- Qt_2_0 = 2
- Qt_2_1 = 3
- Qt_3_0 = 4
- Qt_3_1 = 5
- Qt_3_3 = 6
- Qt_4_0 = 7
- Qt_4_2 = 8
- Qt_4_3 = 9
- Qt_4_4 = 10
- Qt_4_5 = 11
- Qt_4_6 = 12
- Version( value )
- Ok
- ReadPastEnd
- ReadCorruptData
- WriteFailed
- Status( value )

### Prototype Object Properties

- bool atEnd()
- QIODevice device()
- FloatingPointPrecision floatingPointPrecision()
- QDataStream readBoolean()
- QDataStream readByte()
- QDataStream readDouble()
- QDataStream readFloat()
- QDataStream readInt()
- QDataStream readLongLong()
- QDataStream readShort()
- QDataStream readUInt()
- QDataStream readULongLong()
- QDataStream readUShort()
- void resetStatus()
- void setDevice(QIODevice arg__1)
- void setFloatingPointPrecision(FloatingPointPrecision precision)
- void setStatus(Status status)
- void setVersion(int arg__1)
- int skipRawData(int len)
- Status status()
- void unsetDevice()
- int version()
- QDataStream writeBoolean(bool i)
- QDataStream writeByte(unsigned char i)
- QDataStream writeDouble(double f)
- QDataStream writeFloat(float f)
- QDataStream writeInt(int i)
- QDataStream writeLongLong(qint64 i)
- QDataStream writeShort(short i)

### Instance Properties

QDataStream objects have no special properties beyond those inherited from the QDataStream prototype object.